<br>
<?php 
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
encabezado2($target);
$pagina='INFORMACION DE LA GUIA No '.$guia;

function array_elimina_duplicados($array, $campo)
    {
        $new = array(); 
        $exclude = array(""); 
        for ($i = 0; $i<=count($array)-1; $i++) { 
            if (!in_array(trim($array[$i][$campo]) ,$exclude)) { $new[] = $array[$i]; $exclude[] = trim($array[$i][$campo]); } 
        }
        
        return $new;
    }  



?>
<form action="" method="POST">
<center>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</td>
</tr>
<tr class=miTable_tr>
<td class="miTable_td" width="150">Numero de Guia:</td>
<td class="miTable_td" width="150">
<input type="text" name="guia" value="<? echo $guia;?>" class="inputbox" size="25" disabled>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
</div>
</td>
</tr>
</table>
</center>
<br>
    <?
class actualizarEstado{
	var $consultarObj;
	var $conexionObj;
	var $estado;

	function validar($guia,$tabla,$suc){
		$this->userObj=new select_zonas();
		$tabla_rastreo=$this->userObj->get_tabla_rastreo($suc);
		$this->conexionObj= new conexion();
		$this->conexionObj->conectarse();
		$rst_validar=$this->conexionObj->consultar("SELECT * FROM ".$tabla_rastreo." WHERE guia='".$guia."' ");
		$rst_validar2="SELECT * FROM ".$tabla_rastreo." WHERE guia='".$guia."'";
		//echo $rst_validar2;
		//echo "<br>";
		if(mysql_num_rows($rst_validar)>=1){
			echo '<center><table width="500" border="0" class="primaria">';
			echo '<tr class=miTable_tr>';
			echo '<td class=miTable_th1>ESTADO</td>';
			echo '<td class=miTable_th1>FECHA</td>';
			//echo '<td class=miTable_th1>SUCURSAL</td>';
			echo '</tr>';
			while($rastreo=mysql_fetch_array($rst_validar)){
				$rst_estado=$this->conexionObj->consultar("SELECT id_estado, nombre FROM estados_gestion order by id_estado");
				while($estado=mysql_fetch_array($rst_estado)){
					$id_estado='E'.$estado[0];
					$fecha_estado='F'.$estado[0];
					$datos[] = array('estado' => $estado[1], 'fecha' => $rastreo[$fecha_estado], 'sucursal' => $rastreo[19]);
				}
				foreach ($datos as $llave => $fila) {
					$estado[$llave]  = $fila['estado'];
					$fecha[$llave] = $fila['fecha'];
					$sucursal[$llave] = $fila['sucursal'];
				}
				// Ordenar los datos con volumen descendiente, edicion ascendiente
				// Agregar $datos como el �ltimo par�metro, para ordenar por la llave com�n
				//array_multisort($fecha, SORT_ASC, $estado, SORT_ASC, $sucursal, SORT_ASC, $datos);
				//print_r($datos);

				foreach ($datos as $llave => $fila) {
					if($fila['fecha']>0){
						echo '<tr class=miTable_tr>';
						echo '<td class=miTable_td>'.$fila['estado'].'</td>';
						echo '<td class=miTable_td>'.$fila['fecha'].'</td>';
						//echo '<td class=miTable_td>'.$fila['sucursal'].'</td>';
						echo '</tr>';
					}
				}
			}
			echo '<tr class=miTable_tr>';
			echo '<td colspan="3" class=miTable_th1></td></tr>';
			echo '</table></center>';



			/////////Rastreo Reenvios/////////
			$rst_reenvio=$this->conexionObj->consultar("SELECT * FROM reenvio as a inner join 
			mensajeros as b on b.id_mensajero=a.id_mensajero WHERE guia='".$guia."' order by id desc");
			if(mysql_num_rows($rst_reenvio)>=1){
				while($rastreo_reenvio=mysql_fetch_array($rst_reenvio)){
					//////dibujo tabla
				echo '<br><br><center><table width="300" border="0" class="primaria"><tr bgcolor="Red">
				<td><font color="white"><div align="center">
				..:: Informacion Reenvio ::..</div></font></td></tr>';	 				 			
			    echo '</tr>';
			    echo '<td class=miTable_td> <div align="center"> Mensajero:'.$rastreo_reenvio[22].' </div></td>';							
			    echo '</table>';	 			
	 			echo '</center>';	 			
				echo '<center><table width="500" border="0" class="primaria">';
				echo '<tr class=miTable_tr>';
				echo '<td class=miTable_th1>ESTADO</td>';				
				echo '<td class=miTable_th1>FECHA</td>';								
				echo '</tr>';
				///////////
					$rst_estados='';
					$data ='';
					$id_estado='';
					$fecha_estado='';
					$cursor='';
			$rst_estados=$this->conexionObj->consultar("SELECT id_estado, nombre FROM estados_gestion");										
					while($est=mysql_fetch_array($rst_estados)){
						$id_estado='E'.$est[0];
						$fecha_estado='F'.$est[0];
						$data[] = array('estado' => $est[1], 'fecha' => $rastreo_reenvio[$fecha_estado]);
					}
					foreach ($data as $llave => $fila) {
						$estado[$llave]  = $fila['estado'];
						$fecha[$llave] = $fila['fecha'];											
						$nombre[$llave] = $fila['nombre'];
					}
					array_multisort($fecha, SORT_ASC, $estado, SORT_ASC,$data);
					//print_r($datos);					
					//$cursor=array_elimina_duplicados($data,"fecha");
					$cursor=$data;
					foreach ($cursor as $llave => $fila) {
						if($fila['fecha']>0){
							echo '<tr class=miTable_tr>';
							echo '<td class=miTable_td>'.$fila['estado'].'</td>';
							echo '<td class=miTable_td>'.$fila['fecha'].'</td>';							
							//echo '<td class=miTable_td>'.$fila['nombre'].'</td>';							
							echo '</tr>';
						}
					}

					echo '<tr class=miTable_tr>';
					echo '<td colspan="3" class=miTable_th1></td></tr>';
					echo '</table></center>';

				}
			}///////////FIN RASTREO REENVIOS///////
			}else{
				$msgBOX2 = "No Se Encontro Estados de la Guia.";
				echo "<script>
	             	  alert('$msgBOX2');
					   window.close();
	  		  	      </script>";
			}

		}
	}// FIN DE LA CLASE CREARUSUARIO
	// CREACION DEL OBJETO
	$actualizarEstadoObj=new actualizarEstado();
	// LAMANDO EL METODO DE NEGOCIO
	$actualizarEstadoObj->validar($_GET['guia'],$_GET['tabla'],$_GET['id_suc']);
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
?>
<center>
<br>
<input type="button" value="Cerrar" onclick="self.close()" />
<br>
<br>
</center>
    
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</body>";
echo"</html>";
?>
